axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Davanum Srinivas" <dava...@gmail.com>
Subject Re: [Axis2] Which version of maven should be used to build axis2
Date Tue, 01 May 2007 03:12:50 GMT
I'll check on the scripting module. it may not be hooked up.

-- dims

On 4/30/07, Davanum Srinivas <davanum@gmail.com> wrote:
> Maven 2.0.6 works fine for me...official builds are using maven 1.1-beta2.
>
> -- dims
>
> On 4/30/07, Richard Slade <rslade@us.ibm.com> wrote:
> >
> >
> > I am curious which version of maven I should be using to build axis2.
> >
> >  When building with Maven 2.0.4 I get no build errors but the scripting
> > module is not being build.
> >
> >  When building with Maven 1.1, it attempts to build the scripting module but
> > I get the build error.
> >
> >  java:compile:
> >     [echo] Compiling to
> > /home/build/continuum/working-directory/1/workspaces/development/axis2/modules/scripting/target/classes
> >     [javac] Compiling 11 source files to
> > /home/build/continuum/working-directory/1/workspaces/development/axis2/modules/scripting/target/classes
> >     [javac]
> > /home/build/continuum/working-directory/1/workspaces/development/axis2/modules/scripting/src/org/apache/axis2/scripting/ScriptRepositoryListener.java:45:
> > cannot find symbol
> >     [javac] symbol  : variable TYPE_SERVICE
> >     [javac] location: class
> > org.apache.axis2.scripting.ScriptRepositoryListener
> >     [javac]                 wsInfoList.addWSInfoItem(files[i],
> > TYPE_SERVICE);
> >     [javac]                                                    ^
> >     [javac]
> > /home/build/continuum/working-directory/1/workspaces/development/axis2/modules/scripting/src/org/apache/axis2/scripting/ScriptRepositoryListener.java:49:
> > cannot find symbol
> >     [javac] symbol  : variable TYPE_DEFAULT
> >     [javac] location: class
> > org.apache.axis2.scripting.ScriptRepositoryListener
> >     [javac]         wsInfoList.addWSInfoItem(null, TYPE_DEFAULT);
> >     [javac]                                        ^
> >     [javac] Note:
> > /home/build/continuum/working-directory/1/workspaces/development/axis2/modules/scripting/src/org/apache/axis2/scripting/ScriptMessageContext.java
> > uses or overrides a deprecated API.
> >     [javac] Note: Recompile with -Xlint:deprecation for details.
> >     [javac] 2 errors
> >
> >  BUILD FAILED
> >
> >  I know there has been work on updating axis2 to support builds with Maven
> > 2, but I have not read anything stating the current progress of this effort.
> >
> >  Any help?
> >
> >
> >
> >  Richard Slade
> >  WebServices Engine Development
> >  IBM Corporation
> >
> >  Phone: (512)838-0764
> >  Internet e-mail: rslade@us.ibm.com
> >  IBM Internal: Richard Slade/Austin/IBM@IBMUS
> >
>
>
> --
> Davanum Srinivas :: http://davanum.wordpress.com
>


-- 
Davanum Srinivas :: http://davanum.wordpress.com

---------------------------------------------------------------------
To unsubscribe, e-mail: axis-dev-unsubscribe@ws.apache.org
For additional commands, e-mail: axis-dev-help@ws.apache.org


Mime
View raw message